Search Unity

  1. Unity support for visionOS is now available. Learn more in our blog post.
    Dismiss Notice

Question Hi all, would greatly appreciate any help with Gradle and Coppa

Discussion in 'Unity Mediation' started by Fubsy79, Sep 23, 2023.

  1. Fubsy79

    Fubsy79

    Joined:
    May 12, 2022
    Posts:
    1
    Hi all,
    I completed my second project and was in the process of following a guide on how to incorporate advertisements into Android projects. Initially, I got the banners working using IronSource, but the guides all demonstrated how to set it up with the flag "NO" for the question, "Will this app be primarily for children under the age of 13?" Since I still wanted the test function to work, I initially selected "No."

    However, later on, I decided to configure the app for children, and I followed the instructions outlined in this guide: https://developers.is.com/ironsource-mobile/unity/regulation-advanced-settings/#step-3 . I made the following changes to my ads manager:

    1. Added IronSource.Agent.setMetaData("is_deviceid_optout", "true");
    2. Added IronSource.Agent.setMetaData("is_child_directed", "true");
    Additionally, I modified my AndroidManifest.xml file by adding the following line to it:


    <uses-permission android:name="com.google.android.gms.permission.AD_ID" tools:node="remove"/>

    Now, I'm unsure about where to place the following line to update my app's Gradle file:

    gradle
    implementation 'com.google.android.gms:play-services-appset:16.0.0'

    Please advise on the correct location for this update in the Gradle file or could someone let me know if i need it? And if so where can I find the correct file that needs updating because the only gradle i can find that looks correct is the one in this directory. D:\UnityProjectsD\JigsawGame\Library\Bee\Android\Prj\IL2CPP\Gradle\unityLibrary

    Any help would be greatly appreciated.

    Regards
    Fubsy
     
  2. VirginieC

    VirginieC

    Unity Technologies

    Joined:
    Aug 1, 2019
    Posts:
    17
    Hey Fubsy79,
    You are in the wrong forum, this one is dedicated to the Unity mediation package (soon deprecated, see this post). You would be better to ask this question the LevelPlay forum. Good luck!